@ECHO OFF

REM **************************************************************
REM *                        RUNONE.BAT                          *
REM **************************************************************
REM * Purpose:  The file executes once for a given data file.    *
REM * Version:  1.1 (last modified 6/12/2001)                    *
REM * Called:   This is called by RUNALL.bat                     *
REM * Written by:  Thuy Nguyen                                   *
REM *              Muthen & Muthen                               *
REM **************************************************************


REM **************************************************************
REM *** DO NOT CHANGE ANYTHING BELOW THIS LINE IF YOU ARE NOT  ***
REM *** SURE WHY.  CUSTOMIZED CONFIGURATIONS SHOULD BE SET IN  ***
REM *** RUNSTART.BAT                                           ***
REM **************************************************************

CD %WORKING_DIR%
ECHO Using data file %1...
COPY %DATA_DIR%\%1 %COMMON_DATA%
%EXE_FILE% %INPUT_FILE%

IF NOT EXIST %COMMON_RESULTS% GOTO LogFile
IF EXIST %ALL_RESULTS% GOTO AllExists
IF NOT EXIST %ALL_RESULTS% GOTO JustCopy
GOTO END

:LogFile
ECHO No results for %1 >>%ERROR_LOG%
GOTO End

:AllExists
ECHO %1 >>%COMPLETED_LOG%
RENAME %ALL_RESULTS% %TEMP_FILE%
COPY %TEMP_FILE% + %COMMON_RESULTS% %ALL_RESULTS%
DEL %TEMP_FILE%
GOTO SaveResults

:JustCopy
ECHO %1 >>%COMPLETED_LOG%
COPY %COMMON_RESULTS% %ALL_RESULTS%
GOTO SaveResults

:SaveResults
DEL %COMMON_RESULTS%

:End
DEL %COMMON_DATA%

CD %DATA_DIR%

ECHO ...done.
