@ECHO OFF

REM **************************************************************
REM *                        RUNSTART.BAT                        *
REM **************************************************************
REM * Purpose:  The purpose of this file is to set customizable  *
REM *           configurations to use the RUNALL utility.        *
REM * Version:  Version 1.1 (last modified 6/12/2001)            *
REM * Called:   This is called by RUNALL.bat                     *
REM * Written by:  Thuy Nguyen                                   *
REM *              Muthen & Muthen                               *
REM **************************************************************

REM **************************************************************
REM * WORKING_DIR                                                *
REM *    The working directory.  This is the directory in which  *
REM *    you should place the input and use the RUNALL utility.  *
REM **************************************************************

SET WORKING_DIR=C:\TESTDIR

REM **************************************************************
REM * DATA_DIR                                                   *
REM *    The data directory.  This is the directory which        *
REM *    contains the data files.  It is recommended that this   *
REM *    directory be different from the working directory.      *
REM **************************************************************

SET DATA_DIR=C:\PROJECTS\TESTDATA

REM **************************************************************
REM * FILES                                                      *
REM *    Wildcard expression describing the data files you want  *
REM *    to use in the data directory.                           *
REM **************************************************************

SET FILES=*.DAT

REM **************************************************************
REM * INPUT_FILE                                                 *
REM *    Name of the input file.                                 *
REM **************************************************************

SET INPUT_FILE=cont3_ex.INP

REM **************************************************************
REM * COMMON_DATA                                                *
REM *    Name of the data filed specified in the input file.     *
REM **************************************************************

SET COMMON_DATA=cont3_data.DAT

REM **************************************************************
REM * COMMON_RESULTS                                             *
REM *    Name of the file specified for the SAVEDATA RESULTS     *
REM *    option.                                                 *
REM **************************************************************

SET COMMON_RESULTS=results.SAV

REM **************************************************************
REM * ALL_RESULTS                                                *
REM *    Name of the file to which results from each run should  *
REM *    be saved.                                               *
REM **************************************************************

SET ALL_RESULTS=cont3_results.SAV

REM **************************************************************
REM * TEMP_FILE                                                  *
REM *    Name of a temporary file for use by the RUNALL utility. *
REM **************************************************************

SET TEMP_FILE=runall.tmp

REM **************************************************************
REM * ERROR_LOG                                                  *
REM *    Name of log file.  This file contains the names of the  *
REM *    data files which caused the model to not terminate      *
REM *    normally.                                               *
REM **************************************************************

SET ERROR_LOG=error.log

REM **************************************************************
REM * COMPLETED_LOG                                              *
REM *    Name of the log file for completed runs.  This file     *
REM *    contains the names of data files for which the model    *
REM *    terminated successfully.  The order of the data files   *
REM *    listed in the COMPLETED_LOG file corresponds to the     *
REM *    order of results saved in the ALL_RESULTS file.         *
REM **************************************************************

SET COMPLETED_LOG=completed.log

REM **************************************************************
REM * EXE_FILE                                                   *
REM *    Name of the executable file.                            *
REM **************************************************************

SET EXE_FILE=Mplus
